How do I install the latest Banshee?

Questions about applications and software
Forum rules
Before you post please read this

How do I install the latest Banshee?

Postby Troken on Fri Feb 25, 2011 12:04 pm

Hi, I have Banshee 1.6.1, but I saw that 1.8.1 is the current stable version. I have followed the instructions on Banshee's download page:

apt-get install banshee

However, it only reports that I already have the latest version. Anyone knows what might be the problem?
User avatar
Troken
Level 3
Level 3
 
Posts: 110
Joined: Mon Nov 16, 2009 3:56 am

Linux Mint is funded by ads and donations.
 

Re: How do I install the latest Banshee?

Postby sgosnell on Fri Feb 25, 2011 1:01 pm

You will seldom see the latest version of anything in the Debian Testing repositories. Software gets tested in Unstable, and perhaps Experimental, before it get into Testing. I'm using Sid (unstable) and I have 1.9.3-2 installed. Think carefully before you change your repositories to Sid, though. It works for me, but I'm not you.
Asus eee-pc 900 w/ 32GB SSD.
sgosnell
Level 5
Level 5
 
Posts: 686
Joined: Fri Sep 10, 2010 9:32 pm
Location: Baja Oklahoma

Re: How do I install the latest Banshee?

Postby Troken on Fri Feb 25, 2011 1:30 pm

Thanks for the warning. I added:
http://security.debian.org/ unstable/updates
but could not get it to work. Is that the right repository? I just might stick to some other music player for the moment, thanks anyway.
User avatar
Troken
Level 3
Level 3
 
Posts: 110
Joined: Mon Nov 16, 2009 3:56 am

Re: How do I install the latest Banshee?

Postby zerozero on Fri Feb 25, 2011 1:58 pm

there is no security repo for sid (unstable)
zerozero
Level 16
Level 16
 
Posts: 6467
Joined: Tue Jul 07, 2009 2:29 pm

Re: How do I install the latest Banshee?

Postby sgosnell on Fri Feb 25, 2011 2:10 pm

That's not the right repository, and as zerozero noted, there is no security repo for sid/unstable. Banshee is in the main repository. Be aware that there might be dependency problems when installing newer software from a different repository, because a package may depend on libraries that you don't currently have installed. I don't know about this specific package, but it's certainly possible that you won't be able to do a direct install without going entirely to Sid, and you may not want to do that.
Asus eee-pc 900 w/ 32GB SSD.
sgosnell
Level 5
Level 5
 
Posts: 686
Joined: Fri Sep 10, 2010 9:32 pm
Location: Baja Oklahoma

Re: How do I install the latest Banshee?

Postby zerozero on Fri Feb 25, 2011 2:28 pm

without fully upgrading to sid i'm afraid atm banshee (1.9.3) is not installable in testing.
check bellow the dependency loop :mrgreen:

http://release.debian.org/migration/tes ... ge=banshee
zerozero
Level 16
Level 16
 
Posts: 6467
Joined: Tue Jul 07, 2009 2:29 pm

Re: How do I install the latest Banshee?

Postby Troken on Fri Feb 25, 2011 3:19 pm

Quick answers, cheers guys! I'll just wait then, see what happens in the future.
User avatar
Troken
Level 3
Level 3
 
Posts: 110
Joined: Mon Nov 16, 2009 3:56 am

Re: How do I install the latest Banshee?

Postby pan on Tue May 03, 2011 6:57 pm

Hi! I have just one question...I am trying to install banshee, but I get dependencies error:

banshee:
Depends: libcairo2 (>=1.10.2-2~) but 1.10.0-1ubuntu2 is to be installed

EDIT: Oh, I use LMDE.
User avatar
pan
Level 2
Level 2
 
Posts: 65
Joined: Tue May 03, 2011 4:51 pm

Re: How do I install the latest Banshee?

Postby sgosnell on Tue May 03, 2011 10:37 pm

You're running LMDE and have Ubuntu repos in your sources? What does your sources.list look like?
Asus eee-pc 900 w/ 32GB SSD.
sgosnell
Level 5
Level 5
 
Posts: 686
Joined: Fri Sep 10, 2010 9:32 pm
Location: Baja Oklahoma

Re: How do I install the latest Banshee?

Postby pan on Wed May 04, 2011 12:55 am

Code: Select all
deb http://packages.linuxmint.com/ debian main upstream import
deb http://ftp.debian.org/debian testing main contrib non-free
deb http://security.debian.org/ testing/updates main contrib non-free
deb http://www.debian-multimedia.org testing main non-free


Oh and which ubuntu repo should I add?
User avatar
pan
Level 2
Level 2
 
Posts: 65
Joined: Tue May 03, 2011 4:51 pm

Re: How do I install the latest Banshee?

Postby sumski on Wed May 04, 2011 3:00 am

pan wrote:
Code: Select all
deb http://packages.linuxmint.com/ debian main upstream import
deb http://ftp.debian.org/debian testing main contrib non-free
deb http://security.debian.org/ testing/updates main contrib non-free
deb http://www.debian-multimedia.org testing main non-free


Oh and which ubuntu repo should I add?

None!
You can try installing banshee with aptitude
Code: Select all
sudo aptitude install banshee

and it will ofer you to upgrade libcairo with debian's version
Acer Extensa 5630G - Core2Duo T5800 2GHz , 4 GB ram, Ati Mobility 3650.
OpenSUSE 12.1 KDE 4.7.3
Debian Sid KDE 4.7.1/2
User avatar
sumski
Level 3
Level 3
 
Posts: 109
Joined: Fri Nov 26, 2010 6:36 am
Location: Zagreb, Croatia

Re: How do I install the latest Banshee?

Postby pan on Wed May 04, 2011 3:49 am

Thank you, it's working! :-)
Aptitude also removed some packages (some "gir" files and few libreoffice files (impress and 2 other), so I had to install libreoffice again (it just added the missing ones).
Do you know the reason why would aptitude want to remove these packages?
Now everything works fine.
User avatar
pan
Level 2
Level 2
 
Posts: 65
Joined: Tue May 03, 2011 4:51 pm

Re: How do I install the latest Banshee?

Postby sumski on Wed May 04, 2011 4:30 am

pan wrote:Thank you, it's working! :-)
Aptitude also removed some packages (some "gir" files and few libreoffice files (impress and 2 other), so I had to install libreoffice again (it just added the missing ones).
Do you know the reason why would aptitude want to remove these packages?
Now everything works fine.

I will try to reproduce...
Acer Extensa 5630G - Core2Duo T5800 2GHz , 4 GB ram, Ati Mobility 3650.
OpenSUSE 12.1 KDE 4.7.3
Debian Sid KDE 4.7.1/2
User avatar
sumski
Level 3
Level 3
 
Posts: 109
Joined: Fri Nov 26, 2010 6:36 am
Location: Zagreb, Croatia

Re: How do I install the latest Banshee?

Postby sumski on Wed May 04, 2011 4:47 am

Can't reproduce , i already updated cairo; you can check /var/log/aptitude and see what aptitude did.
Acer Extensa 5630G - Core2Duo T5800 2GHz , 4 GB ram, Ati Mobility 3650.
OpenSUSE 12.1 KDE 4.7.3
Debian Sid KDE 4.7.1/2
User avatar
sumski
Level 3
Level 3
 
Posts: 109
Joined: Fri Nov 26, 2010 6:36 am
Location: Zagreb, Croatia

Re: How do I install the latest Banshee?

Postby pan on Wed May 04, 2011 5:04 am

Code: Select all
Log complete.
Aptitude 0.6.3: log report
Wed, May  4 2011 09:12:28 +0200

IMPORTANT: this log only lists intended actions; actions which fail due to
dpkg problems may not be completed.

Will install 0 packages, and remove 18 packages.
91.3 MB of disk space will be freed
===============================================================================
[REMOVE, NOT USED] gir1.2-atk-1.0
[REMOVE, NOT USED] gir1.2-clutter-1.0
[REMOVE, NOT USED] gir1.2-freedesktop
[REMOVE, NOT USED] gir1.2-gdkpixbuf-2.0
[REMOVE, NOT USED] gir1.2-gstreamer-0.10
[REMOVE, NOT USED] gir1.2-gtk-2.0
[REMOVE, NOT USED] gir1.2-json-glib-1.0
[REMOVE, NOT USED] gir1.2-pango-1.0
[REMOVE, NOT USED] libreoffice-base
[REMOVE, NOT USED] libreoffice-base-core
[REMOVE, NOT USED] libreoffice-calc
[REMOVE, NOT USED] libreoffice-emailmerge
[REMOVE, NOT USED] libreoffice-filter-binfilter
[REMOVE, NOT USED] libreoffice-impress
[REMOVE, NOT USED] libreoffice-java-common
[REMOVE, NOT USED] libreoffice-writer
[REMOVE, NOT USED] libseed0
[REMOVE, NOT USED] libwps-0.2-2


I already reinstalled libreoffice but there are also few gir1 files...do I have to install them too?
User avatar
pan
Level 2
Level 2
 
Posts: 65
Joined: Tue May 03, 2011 4:51 pm

Re: How do I install the latest Banshee?

Postby sumski on Wed May 04, 2011 5:32 am

Maybe they where previously installed , but no longer needed; aptitude automatically removes no longer needed packages. If you want you can install them , if you really need them.
EDIT:
gir.freedesktop is no longer in Sid and testing , so they are "obsolote"
http://packages.debian.org/squeeze/gir1.0-freedesktop
Acer Extensa 5630G - Core2Duo T5800 2GHz , 4 GB ram, Ati Mobility 3650.
OpenSUSE 12.1 KDE 4.7.3
Debian Sid KDE 4.7.1/2
User avatar
sumski
Level 3
Level 3
 
Posts: 109
Joined: Fri Nov 26, 2010 6:36 am
Location: Zagreb, Croatia

Re: How do I install the latest Banshee?

Postby pan on Wed May 04, 2011 6:03 am

Oh, thanks again for your help! I am using LMDE for a day and I felt a little lost :-)
User avatar
pan
Level 2
Level 2
 
Posts: 65
Joined: Tue May 03, 2011 4:51 pm

Re: How do I install the latest Banshee?

Postby sumski on Wed May 04, 2011 6:08 am

No problem:)
Hope you like it! :D
Acer Extensa 5630G - Core2Duo T5800 2GHz , 4 GB ram, Ati Mobility 3650.
OpenSUSE 12.1 KDE 4.7.3
Debian Sid KDE 4.7.1/2
User avatar
sumski
Level 3
Level 3
 
Posts: 109
Joined: Fri Nov 26, 2010 6:36 am
Location: Zagreb, Croatia

Linux Mint is funded by ads and donations.
 

Return to Software & Applications

Who is online

Users browsing this forum: No registered users and 4 guests